Edgewall Software

Changes between Version 14 and Version 15 of TracDev/ApiChanges/1.3


Ignore:
Timestamp:
May 8, 2016, 5:20:15 PM (6 years ago)
Author:
Christian Boos
Comment:

Jinja2 / Genshi plan

Legend:

Unmodified
Added
Removed
Modified
  • TracDev/ApiChanges/1.3

    v14 v15  
    2626TODO: List supported browsers. Consider using [http://jquery.com/browser-support/ jQuery's list].
    2727
     28
    2829=== Modified Dependencies
    2930
     
    3435==== Babel (optional)
    3536
    36 ==== Genshi (mandatory)
     37==== Jinja2 (mandatory)
     38
     39OPEN The plan is to apply the TracDev/Proposals/Jinja early in the 1.3.x development cycle.
     40
     41==== Genshi (optional, deprecated)
     42
     43OPEN Jointly with the switch to Jinja2, Genshi support will be deprecated but kept functional for the whole 1.3.x cycle, and likely for the 1.4.x stable releases as well, in a similar spirit to what we did when we switched from ClearSilver to Genshi 10 years ago.
     44
     45The goal is nevertheless to remove Genshi support during the 1.5.x development cycle, at the latest, so plugin developers will be urged to do the switch as well, as explained in PortingFromGenshiToJinja.
    3746
    3847==== Databases